# Class BaseElement

#### Direct known subclasses

Thelia\Tpex\Element\ConditionalLoopElement, Thelia\Tpex\Element\ConditionalVarLoopElement, Thelia\Tpex\Element\ElementCollection, Thelia\Tpex\Element\RepeatLoopElement, Thelia\Tpex\Element\SimpleLoopElement, Thelia\Tpex\Element\TestLoopElement, Thelia\Tpex\Element\TextElement
Abstract
Namespace: Thelia\Tpex\Element
Located at core/lib/Thelia/Tpex/Element/BaseElement.php

Methods summary
`abstract public mixed` | # `addContent( mixed $content )` #### Parameters $content `mixed` $content #### Returns `mixed`
`abstract public` | # `exec( mixed $substitutions = array() )`
`abstract public integer` | # `type( )` type must return the code of this element. ex : return Thelia\Tpex\TpexToken::TpexText #### Returns `integer`
`public string` | # `replace( mixed $substitution, mixed $text )` try to replace substitution contained by $substitution into $text. It's here where #GET #SET are executed. #### Parameters $substitution `mixed` $substitution array containing the substitution to replace in $text ex : array("#SUB1" => "substitution"); $text `mixed` $text the text to analyse and where substitution must be replace #### Returns `string`

Properties summary
`public mixed` | $content | `` | #